Summary: User-space read-copy-update (URCU) library
Name:    userspace-rcu
Version: 0.14.0
Release: 6%{?dist}
License: LGPLv2+
URL:     http://liburcu.org
Source0: http://lttng.org/files/urcu/%{name}-%{version}.tar.bz2

Patch3000:  regtest-without-bench.patch
Patch3001:  0001-userspace-rcu-0.14.0-add-support-for-loongarch64.patch

BuildRequires: make gcc gcc-c++  autoconf automake libtool
BuildRequires: pkgconfig perl-Test-Harness

%description
This data synchronization library provides read-side access which scales linearly 
with the number of cores. URCU is similar to its Linux-kernel counterpart, providing 
a replacement for reader-writer locking, among other uses. This similarity continues 
with readers not synchronizing directly with RCU updaters, thus making RCU read-side 
code paths exceedingly fast, It also allows the RCU reader to make useful progress 
even when running at the same time as the RCU updater, and vice versa.

%package devel
Summary:  Development files for userspace-rcu
Requires: userspace-rcu = %{version}-%{release}

%description devel
Development libraries and header files for using userspace-rcu.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la
rm %{buildroot}/%{_docdir}/%{name}/LICENSE

%check
make check
make regtest

%files
%license LICENSE gpl-2.0.txt lgpl-relicensing.txt lgpl-2.1.txt
%doc ChangeLog README.md
%{_libdir}/*.so.8*

%files devel
%doc %{_pkgdocdir}/examples
%{_includedir}/*
%{_libdir}/liburcu*.so
%{_libdir}/pkgconfig/liburcu*.pc
%{_docdir}/%{name}/*.md

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-5
- Rebuilt for loongarch release

* Wed Mar 20 2024 doupengda <doupengda@loongson.cn> - 0.14.0-4
- add support for loongarch64

* Tue Nov 21 2023 Doris Chao <doriscchao@tencent.com> - 0.14.0-3
- Add BuildRequires of gcc gcc-c++

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 0.14.0-1
- update to 0.14.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 04 2022 Wang Zhe <bessiewang@tencent.com> - 0.13.1-1
- initial build
